# coding: utf-8
Pod::Spec.new do |s|
    s.name             = "RiiiverSDK"
    s.version          = "1.6.1"
    s.summary          = "Riiiver SDK distributed via CocoaPods."
    s.homepage         = "https://developer.riiiver.com/"
    s.author           = { "Riiiver Team" => "service@riiiver.com" }
    s.source           = { :http => 'https://developer.riiiver.com/wp-content/uploads/2021/12/RiiiverSDK1.6.1_Xcode13.0_Realm10.20.1.zip' }
    s.platform     = :ios, '12.0'
    s.dependency 'RealmSwift', '=10.20.1'
    s.vendored_frameworks = 'RiiiverSDK.framework'
    s.resources = ['RiiiverSDK.framework/*.png', 'RiiiverSDK.framework/*.mp3', 'RiiiverSDK.framework/*.html']
    s.module_name = 'RiiiverSDK'
    s.license          = { :type => 'Proprietary', :text => <<-LICENSE
    Last modified: August 7, 2019

    PLEASE CAREFULLY REVIEW THIS DEVELOPER AGREEMENT (this "**Agreement**") BEFORE REGISTERING FOR THE DEVELOPER PORTAL OR OTHERWISE ACCESSING OR USING THE PLATFORM, ANY RIIIVER APIs, RIIIVER SDKs OR RELATED DOCUMENTATION OR MATERIALS. BY TAKING ANY OF THE FOREGOING ACTIONS OR OTHERWISE INDICATING YOUR ASSENT TO THIS AGREEMENT, YOU AGREE TO EACH TERM, CONDITION, AND DISCLAIMER CONTAINED IN THIS AGREEMENT AS OF THE DATE YOU FIRST TAKE SUCH ACTION OR OTHERWISE INDICATE YOUR ASSENT.
    
    This Agreement is a legally binding agreement between you, the Developer (as defined below), and Citizen Watch Co., Ltd. ("**Citizen**"). Developer and Citizen are each referred to individually herein as a "**Party**" and collectively as the "**Parties**." As used in this Agreement, the term "**Developer**" means you, the person registering for the Developer Portal or otherwise using or accessing any of Riiiver APIs, Riiiver SDKs or Riiiver Content. If you are an individual working for a company, then the term "**Developer**" includes you and your company, and you and your company agree, jointly and severally, to be bound by this Agreement. You represent that you are fully competent, and have all authority necessary, to enter into this Agreement, including on behalf of your company, if applicable. 
    
    
    If Developer does not agree to the terms of this Agreement, Developer should not register for the Developer Portal, and Developer must not (and Developer is not granted any right to) access or use the Developer Portal or Riiiver Materials in any manner. This Agreement is in addition to the terms and conditions contained in the Terms of Use, located at https://developer.riiiver.com/terms/, as may be updated from time to time by Citizen. In event of a conflict between this Agreement and the Terms of Use, the terms of this Agreement shall control with respect to the subject matter of this Agreement. Capitalized terms used in this Agreement have the meaning given in Section 16 or elsewhere in this Agreement.
    
    ***
    
    #### Developer Account; Developer Portal Access. {.numeric.left}
    
    (a)	In order to access the Development Portal and Riiiver Materials, Developer is required to register for an account and maintain current, up to date registration information, which may include a valid email address, registration information for mobile phones, and other contact information subject to Terms of Use. Developer agrees (i) to provide Citizen with accurate, complete and up to date information and (ii) to not use another user’s account or provide Developer’s account information, including username and password, to other users. Citizen may, in its sole discretion, require Developer to update or renew its registration for the Developer Portal or refuse registration of, or cancel an account user name.
    
    (b)	Citizen may at any time, in its sole discretion, restrict or limit access to one or more portions or features of Riiiver Materials, Developer Portal or Platform (including API calls that Developer is permitted to make) to certain developers or users. Citizen may require Developer’s acceptance of additional terms and conditions before Developer may access, use or upload with the Developer Portal or certain Riiiver Materials or Platforms. Any such additional terms become part of this Agreement with respect to the Developer Portal, Riiiver Materials or Platforms to which they apply. In the event of a conflict, ambiguity or inconsistency between additional terms and any other terms set forth in this Agreement, the additional terms will control, but only with respect to the Developer Portal, Riiiver Materials or Platforms to which they apply.
    
    ***
    
    #### Licenses to Developer. {.numeric.left}
    
    (a)	Subject to the terms and conditions of this Agreement, Citizen hereby grants Developer a non-exclusive, worldwide, non-transferable license (without the right to sublicense) during the Term to access and use the Developer Portal and Riiiver Content solely for Developer’s internal purposes to develop, test, use, maintain and distribute Developer Pieces in order to provide services enabled by Riiiver Platform.
    
    (b)	Subject to the terms and conditions of this Agreement, Citizen hereby grants Developer a non-exclusive, worldwide, non-transferable license (without the right to sublicense) during the Term to use Riiiver APIs and Riiiver SDKs solely to (i) develop, test, use, maintain, and distribute Developer Pieces in order to provide services enabled by Riiiver Platform and (ii) use Developer Pieces in accordance with the documentation contained in Riiiver Content solely in order to interact with the Platform as enabled by Citizen via Riiiver Platform.
    
    (c)	Except as expressly provided in this Agreement, no license, whether express or implied, under any Intellectual Property Rights of Citizen is granted to Developer. Except as expressly set forth in this Agreement, Developer will not: (i) use the Developer Portal, Riiiver Materials, Pieces, Iiideas or Platform in any manner inconsistent with or not expressly authorized by this Agreement; (ii) modify, decompile, reverse engineer, deconstruct, decrypt, or disassemble any Riiiver Materials or otherwise attempt to derive the source code or any algorithm, process or procedure contained within or provided in Riiiver Materials; (iii) sublicense, rent, sell, lease, loan, provide, distribute, disclose, supply, time share, commercially exploit or otherwise transfer the Developer Portal, Iiideas, Pieces (other than Developer Pieces), Riiiver Materials or Platform; (iv) circumvent or attempt to circumvent the authentication or security measures of Riiiver Materials, Platform, Developer Portal, Iiideas, Pieces or other systems, networks or services of Citizen or its affiliates; (iv) attempt to access or interface with  Platform or other Citizen system, network, or service not specifically authorized under this Agreement; (v) engage in any illegal or fraudulent activity of any kind or use the Developer Portal, Iiideas, Pieces, Riiiver Materials or Platform for unlawful, threatening, harassing, obscene or infringing purposes; (vi) remove, alter, modify or cover any copyright or other proprietary rights notice within Riiiver Materials; or (vii) cause, assist or permit any third party (other than as expressly permitted under this Agreement) to do any of the foregoing. 
    
    ***
    
    #### Submission and Approval. {.numeric.left}
    
    (a)	If Developer develops a Developer Piece and desires that Citizen publish and distribute such Developer Piece as part of its marketplace and/or directory of Pieces (the "**Marketplace**") on the Platform, then Developer shall submit the Developer Piece to Citizen to allow Citizen to review, test, and consider the Developer Piece for approval for the Marketplace. Developer shall provide (at any time before or after approval of a Developer Piece) Citizen with access to all Developer Pieces and any other information that Citizen may request at any time regarding the use, functionality or operation of such Developer Pieces, so that Citizen may verify compliance with this Agreement and Citizen’s other requirements and determine the suitability of the Developer Piece for the Marketplace. Citizen may conduct testing of Developer Pieces at any time, and Developer will cooperate with Citizen to test the Developer Pieces’ interaction with the Platform and Riiiver Materials.
    
    (b)	Developer will fully test each Developer Piece and its integration with Riiiver Materials prior to any use, promotion, marketing, or publication of any Developer Piece. Developer is solely responsible for all costs related to development and integration of Developer Pieces, including modifications to meet Citizen requirements. 
    
    (c)	Approval of the Developer Piece may be granted (subject to Section 7) or withheld in Citizen’s sole discretion. Approval does not constitute an endorsement by Citizen or any of its affiliates or create an obligation or commitment of Citizen to include such Developer Piece in the Marketplace or to otherwise distribute, publicize, promote, market or otherwise endorse such Developer Piece. Developer may not make public statements that state or indicate that a Developer Piece is affiliated with, certified by or otherwise endorsed by Citizen without Citizen’s prior written consent, which may be withheld by Citizen in its sole discretion. Citizen has no obligation to provide any support, troubleshooting or maintenance to Developer.
    
    (d)	If, after approval by Citizen, Developer desires to publish changes to the Developer Piece, Developer shall notify Citizen and re-submit the updated Developer Piece for approval.
    
    (e)	Developer acknowledges and agrees that even if Citizen approves the Developer Piece, Citizen may withdraw such approval, or delete or remove the Developer Piece from the Marketplace, at any time in its sole discretion without any reason and without any liability to Developer. 
    
    ***
    
    #### Ownership. {.numeric.left}
    
    (a)	No right, title or interest in or to any Intellectual Property Rights in any Riiiver Materials, Iiideas, Pieces or the Developer Portal is transferred to Developer except for the limited licenses set forth herein. Citizen and its licensors reserve all rights in Riiiver Materials, Iiideas, Pieces and the Developer Portal not expressly granted under this Agreement. 
    
    (b)	Citizen shall own all right, title, and interest in and to any modifications, derivatives, improvements, enhancements, or extensions of or to any Riiiver APIs, Riiiver SDKs, Riiiver Content, Iiideas, or Pieces (other than Developer Pieces) including all Intellectual Property Rights therein ("**Improvements**") regardless of which Party created such Improvements. Developer hereby irrevocably assigns to Citizen all of Developer’s right, title and interest in and to such Improvements and agrees to execute such documents, render such assistance and take such other actions as Citizen may reasonably request, at Citizen’s expense, to apply for, register, perfect and protect Citizen’s rights in the Improvements. Developer hereby waives any and all moral rights, including any right to identification of authorship or limitation on subsequent modification that Developer or its employees or contractors may have in any Improvements.
    
    (c)	Subject to Citizen’s rights in Riiiver APIs, Riiiver SDKs, Riiiver Content, Iiideas, and Pieces (other than Developer Pieces) and Improvements, Developer will retain all right, title and interest in and to its Developer Pieces.
    
    ***
    
    #### Licenses from Developer. {.numeric.left}
    
    (a)	Developer hereby grants to Citizen and its affiliates a non-exclusive, perpetual, irrevocable, worldwide, sublicensable, royalty-free license, to access and use the Developer Pieces for: (i) review and testing purposes and other related purposes and to confirm compliance with this Agreement; and (ii) purposes of approving the Developer Pieces for the Marketplace.
    
    (b)	If Developer submits a Developer Piece for inclusion in the Marketplace, Developer grants Citizen and its affiliates a non-exclusive, perpetual, irrevocable, worldwide, sublicensable, royalty-free license to use, modify, display, perform, and distribute the Developer Piece (and the Combined Pieces as defined below) in the Marketplace and to demonstrate, market, or promote the Developer Piece (and the Combined Pieces) in connection with the Developer Portal.
    
    (c)	Developer hereby grants Citizen and its affiliates a non-exclusive, perpetual, irrevocable, worldwide, sublicensable, royalty-free license to use and display the Developer Marks for the purpose of identifying Developer and the Developer Pieces in connection with the Developer Portal, including the Marketplace, and to publicize Developer’s use of the Developer Portal, Riiiver Materials, and Platform. However, Citizen shall not be obligated to use or display the Developer Marks.
    
    (d)	Developer hereby grants Citizen and its affiliates a non-exclusive, perpetual, irrevocable, worldwide, sublicensable, royalty-free license to combine the Developer Pieces with other Pieces in the Marketplace to create and use other Pieces and/or Iiideas (collectively, "**Combined Pieces**") and to allow users of the Platform to combine the Developer Pieces with other Pieces in the Marketplace to create and use the Combined Pieces. 
    
    (e)	Citizen's withdrawal of approval, or the deletion or removal of a Developer Piece from the Marketplace pursuant to Section 3(e) shall not impair any rights granted under this section.
    
    ***
    
    #### Competitive Technologies; Feedback. {.numeric.left}
    
    Nothing in this Agreement will impair Citizen’s right to develop, acquire, license, market, promote or distribute products, software or technologies that perform the same or similar functions as, or otherwise compete with, any other products, software or technologies that Developer may develop, produce, market or distribute. In the absence of a separate written agreement to the contrary, Citizen will be free to use any information, suggestions or recommendations Developer provides to Citizen that relate to the Developer Portal, Platform, Pieces, Iiideas, Riiiver Content, or Citizen’s confidential information and any Intellectual Property Rights in the foregoing (collectively, "**Feedback**") for any purpose without obligation, compensation, or other liability to Developer. Except as otherwise provided in Section 4(b), Developer agrees to grant and hereby grants Citizen and its affiliates a non-exclusive, perpetual, irrevocable, royalty-free, fully paid-up, worldwide license (with the right to grant and authorize sublicenses) to make, have made, use, import, offer for sale, sell, reproduce, distribute, modify, adapt, prepare derivative works of, display, perform and otherwise exploit such Feedback without restriction.
    
    ***
    
    #### Fees. {.numeric.left}
    
    (a) 	Upon Citizen's approval of the Developer Piece under Section 3, Citizen may charge, and Developer shall pay, the Piece approval fees as determined by Citizen from time to time (which will be posted at https://riiiver.com/pricing/ and/or which Citizen will notify Developer of when Citizen approves the Developer Piece), in relation to the Developer Piece created by the Developer using the Riiver SDK. If the Developer Piece is created without using the Riiiver SDK, then the fees described in this Section 7(a) are not applicable (subject to Citizen's right to charge fees described in Section 7(b) below).
    
    (b) 	In addition to the fees above, Citizen reserves the right and may at its sole discretion, at any time, charge for access or use of the Platform, Iiideas, Pieces, some or all of the Developer Portal, Riiiver APIs, Riiiver SDKs or related materials and documentation. Developer’s only recourse if it does not agree to pay such charges will be to terminate this Agreement or not use the applicable Iiideas and Pieces.
    
    ***
    
    #### Privacy Policy. {.numeric.left}
    
    Developer agrees that all information provided by Developer to register for the Developer Portal or that Developer otherwise provide to Citizen, including but not limited to through the use of any interactive features of the Developer Portal and including data that Citizen collects from Developer’s use of the Developer Portal, is governed by the Riiiver Privacy Policy https://riiiver.com/privacy/, and Developer consents to all actions Citizen takes with respect to such information consistent with the Riiiver Privacy Policy. 
    
    ***
    
    #### Developer Warranties. {.numeric.left}
    
    Developer represents and warrants that: (a) all information Developer provides to Citizen in connection with this Agreement is true and accurate; (b) Developer Pieces are the original work of Developer, and Developer has all rights necessary to develop, use and distribute Developer Pieces and has obtained all rights necessary for Citizen to use, distribute, promote, display, and perform the Developer Pieces and otherwise exercise the rights granted under this Agreement; (c) the Developer Pieces do not infringe any Intellectual Property Rights of any third party throughout the world; and (d) Developer and Developer Pieces will at all times comply with all Laws.
    
    ***
    
    #### Additional Terms. {.numeric.left}
    
    (a)	Notwithstanding any terms to the contrary in this Agreement, Developer acknowledges and agrees that: (i) the Developer Portal, Pieces, Iiideas, and Riiiver Materials may contain third party software; and (ii) use of such third party software is subject to the terms of the third party licenses applicable to the third party software described at https://riiiver.com/libraries/ and the license grants and use restrictions in this Agreement do not apply to such third party software. 
    
    (b)	Developer understands that any Developer Piece and/or other contents or data which are uploaded to the Platform may be deleted, destroyed, or removed from time to time due to technical problems or maintenance of the Platform, Citizen's own business reasons, or other reasons, in each case in Citizen's sole discretion and without any notice to Developer. Developer acknowledges and agrees that in the case of (and regardless of the reason for) such deletion, destruction or removal, Citizen shall not be obligated to (i) inform Developer of such event; (ii) restore the Developer Piece and/or other contents or data, or re-upload them to the Platform; (iii) pay any damages incurred by Developer; or (iv) refund any amounts already paid by Developer.   
    
    ***
    
    #### Term; Termination. {.numeric.left}
    
    (a)	Developer’s right to use the Developer Portal, Iiideas, Pieces, and Riiiver Materials as provided in this Agreement continues until it is terminated by either Party (the "**Term**").
    
    (b) 	Developer may terminate this Agreement by ceasing use of the Developer Portal, Iiideas, Pieces and Riiiver Materials and providing notice thereof to Citizen. Citizen may terminate this Agreement or suspend Developer’s access to the Developer Portal, Iiideas, Pieces, and Riiiver Materials for any reason at any time in Citizen’s sole discretion.
    
    (c)	Upon termination of this Agreement for any reason, Developer must immediately cease all use of Riiiver Materials, Iiideas, Pieces and Developer Portal and return or destroy all Riiiver Content in Developer’s possession. The provisions of Sections 3 (e), 4, 5, 6, 11(c), 12, 13, 14, 15, and 16, as well as Developer’s liability for amounts due or other liability under this Agreement will survive termination of this Agreement in accordance with their terms.
    
    ***
    
    #### Limitation of Liability. {.numeric.left}
    
    TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT (A) WILL CITIZEN OR ITS AFFILIATES OR THEIR RESPECTIVE LICENSORS OR SUPPLIERS BE LIABLE TO DEVELOPER OR ANY THIRD PARTY FOR PERSONAL INJURY, OR ANY INCIDENTAL, SPECIAL, INDIRECT, CONSEQUENTIAL OR PUNITIVE DAMAGES WHATSOEVER, INCLUDING, WITHOUT LIMITATION, DAMAGES RESULTING FROM DELAY OF DELIVERY, FOR LOSS OF PROFITS, DATA, BUSINESS OR GOODWILL, FOR BUSINESS INTERRUPTION OR ANY OTHER COMMERCIAL DAMAGES OR LOSSES, ARISING OUT OF OR RELATED TO THIS AGREEMENT OR DEVELOPER’S USE OR INABILITY TO USE THE DEVELOPER PORTAL, IIIDEAS, PIECES, RIIIVER MATERIALS, OR ANY OTHER SERVICES, SOFTWARE OR MATERIALS PROVIDED TO DEVELOPER, HOWEVER CAUSED AND UNDER ANY THEORY OF LIABILITY, INCLUDING CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE), EVEN IF CITIZEN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND (B) SHALL CITIZEN’S TOTAL LIABILITY TO DEVELOPER UNDER THIS AGREEMENT FOR ALL DAMAGES EXCEED THE AMOUNT OF FIFTY DOLLARS ($50.00). 
    
    ***
    
    #### Indemnification. {.numeric.left}
    
    (a)	Developer agrees to indemnify and hold harmless Citizen and its affiliates, and their respective officers, agents, licensors, employees and contractors from and against any and all third party claims, suits, actions, or proceedings (in each case including all related liability, loss, cost, damage, and expense, including reasonable attorneys’ fees) arising out of or relate to: (i) Developer’s breach of this Agreement; (ii) Developer’s use of the Developer Portal, Pieces, Iiideas, the Platform or any Riiiver Materials; or (iii) Developer’s development, distribution or use of any Developer Piece or any other software or materials that access any Riiiver Materials or Platform or are otherwise provided to Citizen in connection with this Agreement, including alleged infringement or misappropriation of any third party’s Intellectual Property Rights.
    
    (b)	Citizen shall have the right to participate, at Citizen’s expense, in its defense with counsel of its choosing. In no event will Developer enter into any settlement or like agreement with any third party that affects Citizen’s or its affiliates’ rights or binds Citizen or its affiliates in any way without Citizen’s prior written consent.
    
    ***
    
    #### No Warranty. {.numeric.left}
    
    CITIZEN PROVIDES THE DEVELOPER PORTAL, PLATFORM, IIIDEAS, PIECES AND RIIIVER MATERIALS TO DEVELOPER ON AN "AS-IS" AND "WHERE AVAILABLE" BASIS WITHOUT REPRESENTATIONS OR WARRANTIES OF ANY KIND, WHETHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING ANY WARRANTIES OR CONDITIONS OF NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. CITIZEN MAKES NO REPRESENTATION OR WARRANTY THAT THE DEVELOPER PORTAL, RIIIVER MATERIALS, PLATFORM, IIIDEAS OR ANY PIECE (INCLUDING DEVELOPER PIECES) WILL BE ERROR FREE, RELIABLE, ACCURATE, COMPLETE OR OTHERWISE VALID. 
    
    DEVELOPER IS SOLELY RESPONSIBLE FOR DETERMINING THE APPROPRIATENESS OF USING THE DEVELOPER PORTAL, RIIIVER MATERIALS, PLATFORM, IIIDEAS, PIECES (INCLUDING ANY DEVELOPER PIECE), AND ANY OTHER SOFTWARE OR MATERIALS THAT ACCESS RIIIVER MATERIALS OR PLATFORM AND ASSUMES ALL RISKS ASSOCIATES WITH THE EXERCISE OF DEVELOPER’S RIGHTS UNDER THIS AGREEMENT.
    
    DEVELOPER’S SOLE REMEDY AGAINST CITIZEN FOR DISSATISFACTION UNDER THIS AGREEMENT IS TO STOP USING THE DEVELOPER PORTAL, IIIDEAS, PIECES AND RIIIVER MATERIALS. THIS LIMITATION OF RELIEF IS A PART OF THE BARGAIN BETWEEN THE PARTIES. 
    
    ***
    
    #### Miscellaneous. {.numeric.left}
    
    (a)	The Parties are independent contractors and this Agreement will not be construed as creating a partnership, joint venture or agency relationship. Neither Party has the authority to bind the other or assume or create any obligation or liability on the other’s behalf. 
    
    (b)	This Agreement will be governed by the Laws of the United States and the state of New York, excluding the application of its conflicts of law rules that would require the application of the laws of any other state. The United Nations Convention on Contracts for the International Sale of Goods will not apply to this Agreement. Unless waived by Citizen in its sole discretion, the exclusive venue and jurisdiction for any disputes or actions arising out of or related to this Agreement will be the state and federal courts in New York, the United States.
    
    (c)	Developer acknowledges and agrees that Developer’s breach of this Agreement would cause irreparable harm to Citizen or its affiliates or their respective suppliers and licensors, for which they would not have an adequate remedy at law, and therefore Citizen and its affiliates and their respective suppliers and licensors will be entitled to immediate equitable relief, including injunctive relief to enjoin such a breach, without posting bond or other security.
    
    (d)	If any provision of this Agreement is invalid or unenforceable, that will not affect the validity or enforceability of the remaining terms of this Agreement, and such provision will be enforced to the maximum extent permissible by Law so as to affect the intent of the Parties.
    
    (e)	This Agreement may not be assigned or transferred by Developer (in whole or in part and whether voluntarily, involuntarily or by operation of law) without the prior written consent of Citizen, and any attempt by Developer to do so will be null and void and of no effect.
    
    (f)	Developer represents and warrants that (a) Developer is not located in a country that is subject to a U.S. Government embargo, or that has been designated by the U.S. Government as a "terrorist supporting" country; and (b) Developer is not listed on any U.S. Government list of prohibited or restricted parties. Developer will comply with all applicable export control laws in connection with the Developer Portal, Platform and Riiiver Materials.
    
    (g)	The Developer Portal, Iiideas, Pieces and Platform are commercial computer software, as such term is defined in 48 C.F.R. §2.101. Accordingly, if Developer is the U.S. Government or any contractor therefor, Developer shall receive only those rights with respect to the Developer Portal, Iiideas, Pieces and Platform as are granted to all other end users under license, in accordance with (i) 48 C.F.R. §227.7201 through 48 C.F.R. §227.7204, with respect to the Department of Defense and their contractors, or (ii) 48 C.F.R. §12.212, with respect to all other U.S. Government licensees and their contractors.
    
    (h)	Any notice required or permitted hereunder will be in writing and delivered as follows. Notice from Developer to Citizen will be sent by electronic mail to the address designated by Citizen, or by courier or overnight delivery service to the following address: 
    
    By E-Mail: support@citizen.co.jp with the subject line "DMCA"
    
    By Mail:
    Attn: Open Innovation Dept. 
    6-1-12 Tanashi-cho, Nishi-Tokyo-shi, Tokyo 188-8511, Japan
    
    Phone: +81-42-468-4649
    
    Notice from Citizen to Developer will be sent by electronic mail to the address Developer provided when registering for access to the Developer Portal or any postal mail address otherwise provided by Developer. Any Party may change its address upon written notice to the other Party.
    
    (i)	This Agreement constitutes the entire agreement between the Parties with respect to its subject matter and supersedes all prior or contemporaneous understandings regarding such subject matter. No addition to or removal or modification of any of the provisions in this Agreement will be binding on Citizen unless made in writing and signed by an authorized representative of Citizen. Citizen reserves the right, in its sole discretion, to modify the terms of this Agreement at any time.  The waiver of any breach of default of this Agreement will not constitute a waiver of any subsequent breach or default. 
    
    (j)	This Agreement is for the sole benefit of the Parties hereto and their successors and permitted assigns, and nothing herein express or implied shall give, or be construed to give, any person or entity other than the Parties hereto any legal or equitable rights hereunder.
    
    (k)	The section headings in this Agreement are for convenience of reference only, will not be deemed to be a part of this Agreement, and will not be referred to in connection with the construction or interpretation of this Agreement. Any rule of construction to the effect that ambiguities are to be resolved against the drafting party will not be applied in the construction or interpretation of this Agreement. As used in this Agreement, the words "include" and "including," and variations thereof, will not be deemed to be terms of limitation, but rather will be deemed to be followed by the words "without limitation." All references in this Agreement to "Sections" are intended to refer to sections of this Agreement.
    
    ***
    
    #### Definitions. {.numeric.left}
     
    "**Developer Piece**" means a software module, whether for a personal computer, smartphone, tablet, watch or other device, developed by Developer for purposes of interfacing with the Platform using Riiiver APIs or Riiiver SDKs and designed to be combined to develop Iiidea.
    
    "**Developer Marks**" means Developer’s trademarks, trade names, service marks, logos, avatars and similar identifiers.
    
    "**Developer Portal**" means the online developer portal service made available by Citizen, including the https://developer.riiiver.com website, forums, discussion areas, support services (if any), as each of the foregoing may be modified by Citizen.
    
    "**Iiidea**" means an application consisting of Pieces.
    
    "**Intellectual Property Rights**" means all rights in patent, author work, trademark, trade secret and other intellectual properties.
    
    "**Laws**" means all applicable federal, state, local and international laws, rules, regulations, and orders of governmental authorities.
    
    "**Piece**" means a software module, whether for a personal computer, smartphone, tablet, watch or other device that interfaces with the Platform using Riiiver APIs or Riiiver SDKs and is designed to be combined with other Pieces to make Iiidea, including all Developer Pieces. 
    
    "**Platform**" means a system, network, or service (including Riiiver APIs, Riiiver SDKs, and Developer Portal) of Citizen or any Citizen affiliate, for which Citizen makes available access to Developer or any Piece or Iiidea. For each Piece and Iiidea, the applicable Platform is the Platform designed by Citizen for access by that Piece or Iiidea.
    
    "**Riiiver API**" means each of the programming interfaces made available by Citizen through the Developer Portal, as it may be modified from time to time by Citizen.
    
    "**Riiiver Content**" means any and all manuals, user guides, specifications, technical information, web pages, apps, content, data, and information or other documentation provided by Citizen through the Developer Portal, as each of the foregoing may be modified from time to time by Citizen, but excluding Riiiver APIs and Riiiver SDKs.
    
    "**Riiiver Materials**" means, collectively, Riiiver APIs, Riiiver SDKs, and Riiiver Content made available at any time by Citizen to Developer through the Developer Portal.
    
    "**Riiiver SDK**" means each of the software development kits provided by Citizen to Developer through the Developer Portal, as it may be modified from time to time by Citizen.
    
    
  LICENSE
}
  end
